<?php
/*=======================================================================
 *
 * exportdata_ftp.php
 *
 * Autor: Marc Vollmann
 *
 =======================================================================*/


include_once ("../include/mcglobal.inc.php");
include_once ("../include/auth.inc.php");
include_once ("../include/ftp.inc.php");


getSecHttpVars("1",array("f_fileName","cscIdRoot","customerId","cscIdActual"));

// Check for authentication access and granted rights
$usrAccessArray["hq"] = "1";
authCheckForAccess($hq_id, $usr_id, $emp_id, "1", $customerId, $cscIdRoot, $cscIdActual);
authCheckEmployeeRights($emp_id, "6", "1");


if ($f_fileName != "") :

   // Get the secret filename
   getDbFieldValues("exportfiles",array("expf_cryptname"),array("hq_id",$hq_id,"cs_id",$customerId,"expf_name",$f_fileName));
   $f_secretFileName = $expf_cryptname;
   
   if ($f_secretFileName != "") :
   
      $errorOccurred = FALSE;

      $connId = ftpGetConnection();

      if ($connId != "") :
         $op = ftpUploadSingleFile($connId, EXPORT_PATH . $f_secretFileName, FTP_UPLOADPATH . $f_fileName);
         if (!$op) : $errorOccurred = TRUE; endif;
      else :
         $errorOccurred = TRUE;
      endif;

      if ($connId != "") :
         ftpQuitConnection($connId);
      endif;

      if ($errorOccurred) :
         echo "Der FTP-Transfer der Datei \"" . $f_fileName . "\" ist fehlgeschlagen! <br>";
         echo "Bitte wiederholen!<br>";
         echo "Sollte nach einigen Versuchen die Übertragung nicht geklappt haben, bitte an uns melden!<br><br>";
         echo "Ihr votian-Team<br>";
      else :
         echo "Der FTP-Transfer der Datei \"" . $f_fileName . "\" war erfolgreich! <br>";
         echo "Die Datei sollte in der Liste der \"Externen Dateien\" aufgeführt sein, wenn Sie die Seite \"Datenexport\" aktualisieren. <br>";
         
         // Update the flag if ftp upload was successfully
         updateStmt("exportfiles", "expf_name",$f_fileName, array("expf_ftpupload", "1"));
      endif;
   endif;
endif;
?>
